
Redmine - Patch #12645

Russian numeric translation

2012-12-19 11:37 - Toshi MARUYAMA

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Translations Estimated time: 0.00 hour

Target version: 2.3.0   

Description

#12640

Related issues:

Related to Redmine - Patch #12640: Russian "about_x_hours" translation change Closed

Related to Redmine - Patch #10066: i18n not working with russian gem Closed

Related to Redmine - Patch #1635: Plural form for ru.yml Closed 2008-07-14

Related to Redmine - Defect #13192: Russian "notice_failed_to_save_time_entri... Closed

Has duplicate Redmine - Defect #8096: Wrong plural form selection for russian... Closed 2011-04-07

Associated revisions

Revision 11057 - 2012-12-20 04:55 - Toshi MARUYAMA

remove unused "gui_validation_error" i18n keys (#12645)

These keys were removed from app/helpers/application_helper.rb by r2493.

Revision 11058 - 2012-12-20 04:56 - Toshi MARUYAMA

remove unused "label_download" i18n keys (#12645)

These keys were removed from app/views/documents/show.rhtml by r1180.

Revision 11059 - 2012-12-20 04:57 - Toshi MARUYAMA

remove unused "label_modification" i18n keys (#12645)

These keys were removed from app/views/repositories/revision.rhtml by r535

and app/views/repositories/revisions.rhtml by r381.

Revision 11060 - 2012-12-20 06:17 - Toshi MARUYAMA

Russian "about_x_hours" and "x_hours" translation changed by Mikhail Velkin (#12645)

Revision 11380 - 2013-02-15 06:28 - Toshi MARUYAMA

remove unused "gui_validation_error" i18n keys from az.yml (#13152, #12645)

These keys were removed from app/helpers/application_helper.rb by r2493.

Revision 11381 - 2013-02-15 06:28 - Toshi MARUYAMA

remove unused "label_download" i18n keys from az.yml (#13152, #12645)

These keys were removed from app/views/documents/show.rhtml by r1180.

Revision 11382 - 2013-02-15 06:28 - Toshi MARUYAMA

remove unused "label_modification" i18n keys from az.yml (#13152, #12645)

These keys were removed from app/views/repositories/revision.rhtml by r535

and app/views/repositories/revisions.rhtml by r381.

Revision 11408 - 2013-02-16 14:04 - Toshi MARUYAMA

Russian "label_x_issues" translation changed by Mikhail Velkin (#12645)
Revision 11409 - 2013-02-16 14:04 - Toshi MARUYAMA

Russian "label_last_n_weeks" translation changed by Mikhail Velkin (#12645)

Revision 11429 - 2013-02-18 12:01 - Toshi MARUYAMA

Russian "almost_x_years" changed by Mikhail Velkin (#12645)

History

#1 - 2012-12-19 14:20 - Toshi MARUYAMA

http://www.unicode.org/cldr/charts/supplemental/language_plural_rules.html

#2 - 2012-12-19 17:16 - Mikhail Velkin

If:  

Language Name Code Category Examples Rules

Russian ru one 1, 21, 31, 41, 51, 61... one > n mod 10 is 1

and n mod 100 is not

11

few 2-4, 22-24, 32-34... > n mod 10 in 2..4

and n mod 100 not in

12..14

many 0, 5-20, 25-30,

35-40...

> n mod 10 is 0 or n

mod 10 in 5..9 or n

mod 100 in 11..14

other 1.2, 2.07, 5.94... > everything else

Then:

about_x_hours:

    one:   "около %{count} часа" 

    few:   "около %{count} часов" 

    many:  "около %{count} часов" 

    other: "около %{count} часа" 

x_hours:

    one:   "%{count} час" 

    few:   "%{count} часа" 

    many:  "%{count} часов" 

    other: "%{count} часа" 

#3 - 2012-12-19 17:32 - Mikhail Velkin

And also may be these:

gui_validation_error: 1 ошибка

gui_validation_error_plural: "%{count} ошибок" 

gui_validation_error_plural2: "%{count} ошибки" 

gui_validation_error_plural5: "%{count} ошибок" 

...

label_download: "%{count} загрузка" 

label_download_plural: "%{count} скачиваний" 

label_download_plural2: "%{count} загрузки" 

label_download_plural5: "%{count} загрузок" 

...

label_modification: "%{count} изменение" 

label_modification_plural: "%{count} изменений" 

label_modification_plural2: "%{count} изменения" 

label_modification_plural5: "%{count} изменений" 

 need replace to:

gui_validation_error:

    one:   "%{count} ошибка" 

    few:   "%{count} ошибки" 

    many:  "%{count} ошибок" 

    other: "%{count} ошибки" 

...

label_download:
    one:   "%{count} загрузка" 

    few:   "%{count} загрузки" 

    many:  "%{count} загрузок" 

    other: "%{count} загрузки" 

...

label_modification:

    one:   "%{count} изменение" 

    few:   "%{count} изменения" 

    many:  "%{count} изменений" 

    other: "%{count} изменения" 

#4 - 2012-12-21 00:24 - Mikhail Velkin

Need to check anything else?

#5 - 2012-12-21 13:18 - Mikhail Velkin

And also these:

notice_failed_to_save_time_entries: 

"Невозможно сохранить %{count} затраченное время для %{total} выбранных: %{ids}." 

...

label_x_issues:

    zero:  0 Задач

    one:   1 Задача

    few:   "%{count} Задач" 

    many:  "%{count} Задач" 

    other: "%{count} Задач" 

...

label_last_n_weeks: последние %{count} недель

 need replace to:

notice_failed_to_save_time_entries:

label_x_issues:

    one:   "%{count} задача" 

    few:   "%{count} задачи" 

    many:  "%{count} задач" 

    other: "%{count} Задачи" 

...

label_last_n_weeks:

    one:   "последняя %{count} неделя" 

    few:   "последние %{count} недели" 

    many:  "последние %{count} недель" 

    other: "последние %{count} недели" 

 and divide the option "notice_failed_to_save_time_entries" to several separate bloks.

#6 - 2013-02-16 10:54 - Toshi MARUYAMA

- Subject changed from Russian few hour is not used to Russian numeric translation

- Category changed from I18n to Translations

#7 - 2013-02-16 10:55 - Toshi MARUYAMA

- Tracker changed from Defect to Patch

#8 - 2013-02-16 22:39 - Toshi MARUYAMA

- Status changed from New to Closed

- Target version set to 2.3.0

Mikhail Velkin wrote:

and divide the option "notice_failed_to_save_time_entries" to several separate bloks.

 I create new issue #13192.

#9 - 2013-02-17 18:22 - Mikhail Velkin

almost_x_years:
    one:   "почти 1 год" 

    few:   "почти %{count} года" 

    many:  "почти %{count} лет" 

    other: "почти %{count} года" 

 need replace to:

almost_x_years:

    one:   "почти %{count} год" 

    few:   "почти %{count} года" 

    many:  "почти %{count} лет" 

    other: "почти %{count} года" 

#10 - 2013-02-18 12:24 - Toshi MARUYAMA

Mikhail Velkin wrote:

[...]

need replace to:

[...]

 Committed in trunk r11429, thanks.

#11 - 2013-06-11 01:18 - Filou Centrinov

- Has duplicate Defect #8096: Wrong plural form selection for russian localization. added
